#include <iostream>

using namespace std;

int main()
{
    double N;
    double L;
    cin >> N;
    cin >> L;
    int p = -1;
    bool a = false;
    for (int i = 1; i <= N; i++) {
        int x;
        cin >> x;
        if (x <= L && a==false) 
        { 
            p = i;
            a = true;
        }
    }
    cout << p;
}